#! Flux3D 12.1



newProject()
GeomMeshOptions[1].methodAutomaticMeshVolume=OptimizeDelaunayMeshInactivated()
     
openModelerContext()
     
closeModelerContext()
     
importObjectFromFlux(projectName='TESTCASE_INI.FLU',
                     filter='Geometry')
     
TransfTranslationVector['EXTRU_Y_NEG'].deleteForce()
     
lastInstance = TransfRotation3AnglesPivotCoord(name='roty_minus90',
                                               coordSys=CoordSys['XYZ1'],
                                               pivotCoord=['0',
                                               '0',
                                               '0'],
                                               rotationAngles=RotationAngles(angleX='0',
                                               angleY='-90',
                                               angleZ='0'))
     
result = FaceStructured[ALL].extrude(transformation=Transf['ROTY_MINUS90'],
                                     repetitionNumber=1,
                                     extrusionType='standard',
                                     buildingOption='VolumesWithMeshGenerator')
     
     
lastInstance = InfiniteBoxCylinderY(size=['2*OUTER_TUBE_EXT_RADIUS',
                                    '2*OUTER_TUBE_EXT_RADIUS+20',
                                    '2*HEIGHT',
                                    '2*HEIGHT+20'])
     
lastInstance = SymmetryZXplane(physicalType=SymmetryNormalMagFields(),
                               position='0')
     
lastInstance = SymmetryXYplane(physicalType=SymmetryTangentMagFields(),
                               position='0')
     
lastInstance = SymmetryYZplane(physicalType=SymmetryTangentMagFields(),
                               position='0')
     
     
InfiniteBoxCylinderY['InfiniteBoxCylinderY'].complete3D(buildingOption='Volumes',
                                                        coordSys=CoordSys['COORDSYS_XY_PLANE'],
                                                        linkMesh='LinkMesh')
     
     
AidedMesh[1].aidedMeshState = AidedMeshActivated(meshPoint=MeshPointAssigned(type=MeshPointDynamic()),
                                                 meshDeviation=MeshDeviationAssignedExcludeIB(type=MeshDeviationExcludeIBRelative(value=0.75)),
                                                 meshRelaxation=MeshRelaxation(lineMeshRelaxation=LineMeshRelaxationAssigned(type=LineMeshRelaxationMedium()),
                                                 faceMeshRelaxation=FaceMeshRelaxationAssigned(type=FaceMeshRelaxationMedium()),
                                                 volumeMeshRelaxation=VolumeMeshRelaxationAssigned(type=VolumeMeshRelaxationMedium())),
                                                 meshShadow=MeshShadowUnassigned())
     
meshDomain()
          
generateSecondOrderElements()
     
saveProjectAs('geomeshbuilt.FLU')


