#! Flux3D 12.1



lastInstance = SensorOperator(name='MEAN_DEXCHANGES_INNER_TUBE',
                              operator=avgOperator(),
                              spatialFormula='dExchangeS',
                              computationSupport=surfRegSupport(computationMethod='auto',
                              faceRegion=[RegionFace['RADIATION_INOX']]))
     
lastInstance = SensorOperator(name='MEAN_TEMP_INNER_TUBE',
                              operator=avgOperator(),
                              spatialFormula='TKelvin',
                              computationSupport=surfRegSupport(computationMethod='auto',
                              faceRegion=[RegionFace['RADIATION_INOX']]))
     
lastInstance = SensorOperator(name='MEAN_DEXCHANGES_OUTER_TUBE',
                              operator=avgOperator(),
                              spatialFormula='dExchangeS',
                              computationSupport=surfRegSupport(computationMethod='auto',
                              faceRegion=[RegionFace['RADIATION_STEEL']]))
     
lastInstance = SensorOperator(name='MEAN_TEMP_OUTER_TUBE',
                              operator=avgOperator(),
                              spatialFormula='TKelvin',
                              computationSupport=surfRegSupport(computationMethod='auto',
                              faceRegion=[RegionFace['RADIATION_STEEL']]))
     
evaluateSensors()
     
     
EvolutiveCurve2D(name='MEAN_DEXCHANGES_INNER_TUBE_1',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=5000.0)]),
                 formula=['SENSOR[MEAN_DEXCHANGES_INNER_TUBE]'])
     
EvolutiveCurve2D(name='MEAN_TEMP_INNER_TUBE_1',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=5000.0)]),
                 formula=['SENSOR[MEAN_TEMP_INNER_TUBE]'])
     
EvolutiveCurve2D(name='MEAN_DEXCHANGES_OUTER_TUBE_1',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=5000.0)]),
                 formula=['SENSOR[MEAN_DEXCHANGES_OUTER_TUBE]'])
     
EvolutiveCurve2D(name='MEAN_TEMP_OUTER_TUBE_1',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=5000.0)]),
                 formula=['SENSOR[MEAN_TEMP_OUTER_TUBE]'])


CurveVariation2D[ALL].exportExcel(xlsFile='MainResults',
                                  mode='add')

CurveVariation2D[ALL].exportTXT(txtFile='result/TestCase_RES',
                                mode='add')
     
selectCurrentStep(activeScenario=Scenario['SCENARIO_1'],
                  parameterValue=['TIME=1100.0'])
     
lastInstance = IsovalueSpatialGroup(name='ISOVAL_T_Kelvin',
                                    formula='Temp(Tkelvin)',
                                    forceVisibility='yes',
                                    smoothValues='yes',
                                    group=[Groupspatial['1_DOMAIN']])
     
     
saveProjectAs('postprocessed.FLU')

